declare type ValidatorFunction = (input: any) => {
    isValid: boolean;
    errors?: any[];
};
export declare function validateInput<A>(validator: ValidatorFunction, input: any): asserts input is A;
export {};
